Skip to main content
POST
/
api
/
customer
/
createWithCrps
createNewCustomerWithCrp
curl --request POST \
  --url https://api.artemis.cynopsis.co/api/customer/createWithCrps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Domain-ID: <x-domain-id>' \
  --data '
{
  "crps": [
    {
      "active": true,
      "forms": {},
      "id": 123,
      "profileId": 123,
      "profileReferenceId": "<string>",
      "referenceId": "<string>",
      "roles": [
        {
          "role": "<string>",
          "appointedDate": "2023-12-25",
          "id": 123,
          "resignedDate": "2023-12-25"
        }
      ]
    }
  ],
  "triggerScreening": true,
  "triggerScreeningForCrp": true
}
'
import requests

url = "https://api.artemis.cynopsis.co/api/customer/createWithCrps"

payload = {
"crps": [
{
"active": True,
"forms": {},
"id": 123,
"profileId": 123,
"profileReferenceId": "<string>",
"referenceId": "<string>",
"roles": [
{
"role": "<string>",
"appointedDate": "2023-12-25",
"id": 123,
"resignedDate": "2023-12-25"
}
]
}
],
"triggerScreening": True,
"triggerScreeningForCrp": True
}
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Domain-ID': '<x-domain-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
crps: [
{
active: true,
forms: {},
id: 123,
profileId: 123,
profileReferenceId: '<string>',
referenceId: '<string>',
roles: [
{
role: '<string>',
appointedDate: '2023-12-25',
id: 123,
resignedDate: '2023-12-25'
}
]
}
],
triggerScreening: true,
triggerScreeningForCrp: true
})
};

fetch('https://api.artemis.cynopsis.co/api/customer/createWithCrps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "crps": [
    {
      "active": true,
      "assignees": [
        {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastName": "<string>"
        }
      ],
      "createdAt": {
        "date": 123,
        "day": 123,
        "hours": 123,
        "minutes": 123,
        "month": 123,
        "nanos": 123,
        "seconds": 123,
        "time": 123,
        "timezoneOffset": 123,
        "year": 123
      },
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "fullName": "<string>",
        "id": 123,
        "lastName": "<string>"
      },
      "forms": {},
      "id": 123,
      "lastRiskAssessment": "2023-11-07T05:31:56Z",
      "listRoleAsText": [
        "<string>"
      ],
      "notes": {},
      "other": {},
      "parentId": 123,
      "particular": {},
      "profileId": 123,
      "profileReferenceId": "<string>",
      "referenceId": "<string>",
      "roles": [
        {
          "appointedDate": "2023-12-25",
          "createdAt": {
            "date": 123,
            "day": 123,
            "hours": 123,
            "minutes": 123,
            "month": 123,
            "nanos": 123,
            "seconds": 123,
            "time": 123,
            "timezoneOffset": 123,
            "year": 123
          },
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          },
          "id": 123,
          "resignedDate": "2023-12-25",
          "role": "<string>",
          "updatedAt": {
            "date": 123,
            "day": 123,
            "hours": 123,
            "minutes": 123,
            "month": 123,
            "nanos": 123,
            "seconds": 123,
            "time": 123,
            "timezoneOffset": 123,
            "year": 123
          },
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          }
        }
      ],
      "updatedAt": {
        "date": 123,
        "day": 123,
        "hours": 123,
        "minutes": 123,
        "month": 123,
        "nanos": 123,
        "seconds": 123,
        "time": 123,
        "timezoneOffset": 123,
        "year": 123
      },
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "fullName": "<string>",
        "id": 123,
        "lastName": "<string>"
      },
      "vendorEntityGuid": "<string>",
      "vendorName": "<string>"
    }
  ],
  "customer": {
    "active": true,
    "assignees": [
      {
        "email": "<string>",
        "firstName": "<string>",
        "fullName": "<string>",
        "id": 123,
        "lastName": "<string>"
      }
    ],
    "createdAt": {
      "date": 123,
      "day": 123,
      "hours": 123,
      "minutes": 123,
      "month": 123,
      "nanos": 123,
      "seconds": 123,
      "time": 123,
      "timezoneOffset": 123,
      "year": 123
    },
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "fullName": "<string>",
      "id": 123,
      "lastName": "<string>"
    },
    "forms": {},
    "id": 123,
    "lastRiskAssessment": "2023-11-07T05:31:56Z",
    "listRoleAsText": [
      "<string>"
    ],
    "notes": {},
    "other": {},
    "parentId": 123,
    "particular": {},
    "profileId": 123,
    "profileReferenceId": "<string>",
    "referenceId": "<string>",
    "roles": [
      {
        "appointedDate": "2023-12-25",
        "createdAt": {
          "date": 123,
          "day": 123,
          "hours": 123,
          "minutes": 123,
          "month": 123,
          "nanos": 123,
          "seconds": 123,
          "time": 123,
          "timezoneOffset": 123,
          "year": 123
        },
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastName": "<string>"
        },
        "id": 123,
        "resignedDate": "2023-12-25",
        "role": "<string>",
        "updatedAt": {
          "date": 123,
          "day": 123,
          "hours": 123,
          "minutes": 123,
          "month": 123,
          "nanos": 123,
          "seconds": 123,
          "time": 123,
          "timezoneOffset": 123,
          "year": 123
        },
        "updatedBy": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastName": "<string>"
        }
      }
    ],
    "updatedAt": {
      "date": 123,
      "day": 123,
      "hours": 123,
      "minutes": 123,
      "month": 123,
      "nanos": 123,
      "seconds": 123,
      "time": 123,
      "timezoneOffset": 123,
      "year": 123
    },
    "updatedBy": {
      "email": "<string>",
      "firstName": "<string>",
      "fullName": "<string>",
      "id": 123,
      "lastName": "<string>"
    },
    "vendorEntityGuid": "<string>",
    "vendorName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Body

application/json

customerDTO

crps
CRPRequestDto · object[]
customer
CustomerDto · object
triggerScreening
boolean
triggerScreeningForCrp
boolean

Response

OK

crps
CustomerResponseDto · object[]
customer
CustomerResponseDto · object